aboutsummaryrefslogtreecommitdiff
path: root/init.d/checkroot
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/checkroot')
-rwxr-xr-xinit.d/checkroot4
1 files changed, 2 insertions, 2 deletions
diff --git a/init.d/checkroot b/init.d/checkroot
index 2fa22ec5..03741ae8 100755
--- a/init.d/checkroot
+++ b/init.d/checkroot
@@ -104,8 +104,8 @@ start() {
retval=$?
else
eend 2 "Filesystem couldn't be fixed :("
- [ "${RC_UNAME}" = "Linux" ] || return 1
- sulogin "${CONSOLE}"
+ rc-abort
+ exit 1
fi
if [ ${retval} != "0" ] ; then
einfo "Unmounting filesystems"